Multi-Dimensional in JavaScript

Using ApexCharts with JavaScript

This Multi-Dimensional example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
var options = {
  series: [
    {
      name: 'Desktops',
      data: [
        {
          x: 'Apple',
          y: 50,
        },
        {
          x: 'Acer',
          y: 30,
        },
        {
          x: 'Asus',
          y: 21,
        },
      ],
    },
    {
      name: 'Laptops',
      data: [
        {
          x: 'Dell',
          y: 21,
        },
        {
          x: 'HP',
          y: 16,
        },
        {
          x: 'Lenovo',
          y: 20,
        },
      ],
    },
    {
      name: 'Tablets',
      data: [
        {
          x: 'Samsung',
          y: 4,
        },
        {
          x: 'Huawei',
          y: 7,
        },
        {
          x: 'Microsoft',
          y: 11,
        },
        {
          x: 'Amazon',
          y: 31,
        },
        {
          x: 'Lenovo',
          y: 13,
        },
      ],
    },
    {
      name: 'Mobile',
      data: [
        {
          x: 'Apple',
          y: 10,
        },
        {
          x: 'Samsung',
          y: 20,
        },
        {
          x: 'Huawei',
          y: 51,
        },
        {
          x: 'Xiaomi',
          y: 30,
        },
      ],
    },
  ],
  legend: {
    show: true,
    offsetY: 10,
    height: 30,
  },
  chart: {
    height: 350,
    type: 'treemap',
  },
  title: {
    text: 'Multi-dimensional Treemap',
    align: 'center',
  },
  plotOptions: {
    treemap: {},
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

Multi-Dimensional in Vue

Using ApexCharts with Vue

This Multi-Dimensional example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div id="chart">
      <apexchart
        type="treemap"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'Desktops',
          data: [
            {
              x: 'Apple',
              y: 50,
            },
            {
              x: 'Acer',
              y: 30,
            },
            {
              x: 'Asus',
              y: 21,
            },
          ],
        },
        {
          name: 'Laptops',
          data: [
            {
              x: 'Dell',
              y: 21,
            },
            {
              x: 'HP',
              y: 16,
            },
            {
              x: 'Lenovo',
              y: 20,
            },
          ],
        },
        {
          name: 'Tablets',
          data: [
            {
              x: 'Samsung',
              y: 4,
            },
            {
              x: 'Huawei',
              y: 7,
            },
            {
              x: 'Microsoft',
              y: 11,
            },
            {
              x: 'Amazon',
              y: 31,
            },
            {
              x: 'Lenovo',
              y: 13,
            },
          ],
        },
        {
          name: 'Mobile',
          data: [
            {
              x: 'Apple',
              y: 10,
            },
            {
              x: 'Samsung',
              y: 20,
            },
            {
              x: 'Huawei',
              y: 51,
            },
            {
              x: 'Xiaomi',
              y: 30,
            },
          ],
        },
      ],
      chartOptions: {
        legend: {
          show: true,
          offsetY: 10,
          height: 30,
        },
        chart: {
          height: 350,
          type: 'treemap',
        },
        title: {
          text: 'Multi-dimensional Treemap',
          align: 'center',
        },
        plotOptions: {
          treemap: {},
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}
</style>

Multi-Dimensional in Angular

Using ApexCharts with Angular

This Multi-Dimensional example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              name: 'Desktops',
              data: [
                {
                  x: 'Apple',
                  y: 50,
                },
                {
                  x: 'Acer',
                  y: 30,
                },
                {
                  x: 'Asus',
                  y: 21,
                },
              ],
            },
            {
              name: 'Laptops',
              data: [
                {
                  x: 'Dell',
                  y: 21,
                },
                {
                  x: 'HP',
                  y: 16,
                },
                {
                  x: 'Lenovo',
                  y: 20,
                },
              ],
            },
            {
              name: 'Tablets',
              data: [
                {
                  x: 'Samsung',
                  y: 4,
                },
                {
                  x: 'Huawei',
                  y: 7,
                },
                {
                  x: 'Microsoft',
                  y: 11,
                },
                {
                  x: 'Amazon',
                  y: 31,
                },
                {
                  x: 'Lenovo',
                  y: 13,
                },
              ],
            },
            {
              name: 'Mobile',
              data: [
                {
                  x: 'Apple',
                  y: 10,
                },
                {
                  x: 'Samsung',
                  y: 20,
                },
                {
                  x: 'Huawei',
                  y: 51,
                },
                {
                  x: 'Xiaomi',
                  y: 30,
                },
              ],
            },
          ],
          legend: {
            show: true,
            offsetY: 10,
            height: 30,
          },
          chart: {
            height: 350,
            type: 'treemap',
          },
          title: {
            text: 'Multi-dimensional Treemap',
            align: 'center',
          },
          plotOptions: {
            treemap: {},
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}

Multi-Dimensional in React

Using ApexCharts with React

This Multi-Dimensional example wires ApexCharts into React through the react-apexcharts component.

Install it with npm install react-apexcharts apexcharts, then mount the chart with <Chart type="..." options={options} series={series} />.

React charts guide
import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'Desktops',
        data: [
          {
            x: 'Apple',
            y: 50,
          },
          {
            x: 'Acer',
            y: 30,
          },
          {
            x: 'Asus',
            y: 21,
          },
        ],
      },
      {
        name: 'Laptops',
        data: [
          {
            x: 'Dell',
            y: 21,
          },
          {
            x: 'HP',
            y: 16,
          },
          {
            x: 'Lenovo',
            y: 20,
          },
        ],
      },
      {
        name: 'Tablets',
        data: [
          {
            x: 'Samsung',
            y: 4,
          },
          {
            x: 'Huawei',
            y: 7,
          },
          {
            x: 'Microsoft',
            y: 11,
          },
          {
            x: 'Amazon',
            y: 31,
          },
          {
            x: 'Lenovo',
            y: 13,
          },
        ],
      },
      {
        name: 'Mobile',
        data: [
          {
            x: 'Apple',
            y: 10,
          },
          {
            x: 'Samsung',
            y: 20,
          },
          {
            x: 'Huawei',
            y: 51,
          },
          {
            x: 'Xiaomi',
            y: 30,
          },
        ],
      },
    ],
    options: {
      legend: {
        show: true,
        offsetY: 10,
        height: 30,
      },
      chart: {
        height: 350,
        type: 'treemap',
      },
      title: {
        text: 'Multi-dimensional Treemap',
        align: 'center',
      },
      plotOptions: {
        treemap: {},
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="treemap"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart